Bug 174204 - system-config-users doesn't use login.defs settings.
system-config-users doesn't use login.defs settings.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-25 16:03 EST by Robin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 03:24:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin 2005-11-25 16:03:41 EST
Description of problem:
When adding groups, if login.defs GID_MIN is set to 5000, groupadd starts at
5000.  If using system-config-users and clicking add group, it takes the next
avaiable group.

Both should work the same.

Version-Release number of selected component (if applicable):
system-config-users-1.2.41-0

How reproducible:
Every time.

Steps to Reproduce:
1.  Change GID_MIN to 5000 in /etc/login.defs
2.  In CLI, as root, typein groupadd and create a test group.
3.  In GUI, select Desktop > system settings > users and groups.
4.  Select add group.
5.  Create the group.
6.  See the group number for the created group.
 
Actual results:
Group when groupadd is used is in the 5000's
Group when config-system-users is used, is in the 500's.

Expected results:
Both should have been in the 5000's.

Additional info:
Comment 1 Nils Philippsen 2006-03-07 03:24:01 EST
s-c-users uses libuser, which in turn uses /etc/libuser.conf, not login.defs.

Note You need to log in before you can comment on or make changes to this bug.